Subject: Chat Quality
From: Saurabh Dadu <[email-masked]>
To: Mohammed Obiedo <[email-masked]>, Rosette Modiri <[email-masked]>, Urvika Chaudhary <[email-masked]>
Date: Wed, 8 Jul 2020 08:58:44 +0000

Hi Guys,

I just read a couple of Chats from Obeidu, and it doesn't seem like he is representing a professional organisation, but a Government railway enquiry clerk of a third world country.

Please see the screenshot below. There is no politeness, no empathy, no regards to brand experience. Is this how we talk in a professional customer service set-up?

I cannot see another chat like this, and I seriously mean it. This is beyond Horrible

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203